/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-29 02:30
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
ifstream fin;
ofstream fout;

const int MAXN = 2e5 + 5;
string s;
ll N;



void solve(){
    // Code goes here ...
    fin >> s >> N;

    if((s == "front") ^ (N == 2))
        fout << "L" << endl;
    else
        fout << "R" << endl;
    
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    fin.open("input.txt");
    fout.open("output.txt");

    int T = 1;
    /* cin >> T; */
    while(T--)
        solve();

    return 0;
}
        
